// any unicode letter/number is valid for names in go - don't use them

// snake_case is rarely used, use camelCase

// prefer shorter names, k,v for key,value in for loops etc

// if using single letter var names, you can follow the type. E.g i for int, b for bool

// when naming vars/consts in the package level, favour more descriptive names
// !!! the smaller the scope of the variable, the shorter the name !!!

package main

import "fmt"

func main() {
	_0 := 0_0
	_ᔜ := 20
	π := 3
	ａ := "hello" // Unicode U+FF41
	fmt.Println(_0)
	fmt.Println(_ᔜ)
	fmt.Println(π)
	fmt.Println(ａ)

	ａ = "hello"    // Unicode U+FF41
	a := "goodbye" // standard lowercase a (Unicode U+0061)
	fmt.Println(ａ)
	fmt.Println(a)
}
